# Created by pyp2rpm-3.3.2
%global pypi_name spyder-kernels

Name:           python-%{pypi_name}
#
# Do not update to >= 1.0.0, spyder3 requires version < 1.0.0
#
Version:        1.10.1
Release:        %mkrel 1
Summary:        Jupyter kernels for Spyder's console
Group:          Development/Python
License:        MIT
URL:            https://github.com/spyder-ide/spyder-kernels
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(cloudpickle)
BuildRequires:  python3dist(ipykernel) >= 4.8.2
BuildRequires:  python3dist(jupyter-client) >= 5.2.3
BuildRequires:  python3dist(pyzmq) >= 17
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(wurlitzer)

%description
Provides Jupyter kernels for use with the consoles of Spyder, the Scientific
Python Development Environment. These can launched either through Spyder itself
or in an independent Python session, and allow for interactive or file-based
execution of Python code in different environments, all inside the IDE.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(cloudpickle)
Requires:       python3dist(ipykernel) >= 4.8.2
Requires:       python3dist(jupyter-client) >= 5.2.3
Requires:       python3dist(pyzmq) >= 17
Requires:       python3dist(wurlitzer)

%description -n python3-%{pypi_name}
Provides Jupyter kernels for use with the consoles of Spyder, the Scientific
Python Development Environment. These can launched either through Spyder itself
or in an independent Python session, and allow for interactive or file-based
execution of Python code in different environments, all inside the IDE.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.md
%{python3_sitelib}/spyder_kernels
%{python3_sitelib}/spyder_kernels-%{version}-py?.?.egg-info


%changelog
* Wed Jan 06 2021 daviddavid <daviddavid> 1.10.1-1.mga8
+ Revision: 1669257
- new version: 1.10.1 (for spyder3 4.2.1)

* Thu Sep 17 2020 guillomovitch <guillomovitch> 1.9.4-1.mga8
+ Revision: 1627461
- new version 1.9.4

* Sun Feb 16 2020 umeabot <umeabot> 0.4.2-3.mga8
+ Revision: 1534113
- Mageia 8 Mass Rebuild

* Fri Sep 27 2019 daviddavid <daviddavid> 0.4.2-2.mga8
+ Revision: 1447438
- rebuild for python3.8

* Tue Feb 19 2019 wally <wally> 0.4.2-1.mga7
+ Revision: 1368411
- imported package python-spyder-kernels

